apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    build.aep.asag.io/source: svc-api
    build.aep.asag.io/version: 1.2.2
    controller-gen.kubebuilder.io/version: v0.10.0
  creationTimestamp: null
  name: operations.service.aep.asag.io
spec:
  group: service.aep.asag.io
  names:
    categories:
      - aep
    kind: Operation
    listKind: OperationList
    plural: operations
    shortNames:
      - ac
      - act
      - aepa
      - aepact
      - aepOperation
      - aepOperations
    singular: operation
  scope: Namespaced
  versions:
    - additionalPrinterColumns:
        - jsonPath: .spec.procedure
          name: Procedure
          type: string
        - jsonPath: .metadata.labels['operator.service.aep.asag.io']
          name: Operator
          type: string
        - jsonPath: .status.phase
          name: Phase
          type: string
        - jsonPath: .metadata.ownerReferences[?(@.controller==true)].kind
          name: OwnerKind
          priority: 2
          type: string
        - jsonPath: .metadata.ownerReferences[?(@.controller==true)].name
          name: OwnerName
          priority: 2
          type: string
        - jsonPath: .metadata.creationTimestamp
          name: Age
          type: date
        - jsonPath: .status.reason
          name: Reason
          priority: 2
          type: string
      name: v1
      schema:
        openAPIV3Schema:
          description: The Operation definition for service operations
          properties:
            apiVersion:
              description: 'APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
              type: string
            kind:
              description: 'Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
              type: string
            metadata:
              type: object
            spec:
              description: Spec of this resource
              properties:
                arguments:
                  description: Arguments for the procedure
                  type: object
                  x-kubernetes-preserve-unknown-fields: true
                cancel:
                  description: Cancel forces the execution of the procedure to be forcefully stopped, if already running. If not yet running, the assigned operator ignores the execution and set it to Closed.
                  type: boolean
                procedure:
                  description: Procedure is the requested command or referenced identifier (depending on the implementation) to be executed.
                  type: string
              required:
                - procedure
              type: object
            status:
              description: Status of this resource
              properties:
                phase:
                  description: Phase to describe the overall current status
                  enum:
                    - error
                    - waiting
                    - ok
                    - ready
                    - assigned
                    - running
                    - notready
                    - cancelled
                    - done
                  type: string
                reason:
                  description: A brief human-readable message indicating details about why this resource is in this state.
                  type: string
                values:
                  description: The procedure on the operator returned the following additional data. How they are collected is documented in the used operator. What data is expected and how they are used is defined by the caller.
                  type: object
                  x-kubernetes-preserve-unknown-fields: true
              type: object
          required:
            - metadata
            - spec
          type: object
      served: true
      storage: true
      subresources:
        status: {}
